## ide-formatter-options ide-formatter-options |

## Functions

IdeFormatterOptions * | ide_formatter_options_new ()
guint | ide_formatter_options_get_tab_width ()
void | ide_formatter_options_set_tab_width ()
gboolean | ide_formatter_options_get_insert_spaces ()
void | ide_formatter_options_set_insert_spaces ()

## Properties

gboolean | insert-spaces | Read / Write
guint | tab-width | Read / Write

## Types and Values

#define | IDE_TYPE_FORMATTER_OPTIONS
| IdeFormatterOptions

## Object Hierarchy

        GObject
        ╰── IdeFormatterOptions

## Description

## Functions

### ide_formatter_options_new ()

    IdeFormatterOptions *
    ide_formatter_options_new (void);

### ide_formatter_options_get_tab_width ()

    guint
    ide_formatter_options_get_tab_width (IdeFormatterOptions *self);

### ide_formatter_options_set_tab_width ()

    void
    ide_formatter_options_set_tab_width (IdeFormatterOptions *self,
                                         guint tab_width);

### ide_formatter_options_get_insert_spaces ()

    gboolean
    ide_formatter_options_get_insert_spaces
                                   (IdeFormatterOptions *self);

### ide_formatter_options_set_insert_spaces ()

    void
    ide_formatter_options_set_insert_spaces
                                   (IdeFormatterOptions *self,
                                    gboolean insert_spaces);

## Types and Values

### IDE_TYPE_FORMATTER_OPTIONS

    #define IDE_TYPE_FORMATTER_OPTIONS (ide_formatter_options_get_type())

### IdeFormatterOptions

    typedef struct _IdeFormatterOptions IdeFormatterOptions;

## Property Details

### The `“insert-spaces”` property

      “insert-spaces”            gboolean

Insert spaces instead of tabs.

Owner: IdeFormatterOptions

Flags: Read / Write

Default value: FALSE

### The `“tab-width”` property

      “tab-width”                guint

The width of a tab in spaces.

Owner: IdeFormatterOptions

Flags: Read / Write

Allowed values: [1,32]

Default value: 8